MGETHDR(1)

NAME
mGetHdr - Retrieve the header from a FITS image

SYNOPSIS
mGetHdr [-d] [-h hdu] [-s statusfile] img.fits img.hdr

DESCRIPTION
Reads in the header from a FITS image and prints it out to a text file.

OPTIONS

-d  Turns on debugging.

-h hdu
    Retrieve the header from the Fits extension given by hdu. "0" indicates the primary FITS extension, and is the default used by mGetHdr.

-s statusfile
    Output and errors are sent to statusfile instead of to stdout

ARGUMENTS

img.fits
    Path to FITS image from which to retrieve the header.

img.hdr
    Path to text file where FITS header should be written.

RESULT
Creates output file img.hdr which is a text copy of the FITS header from the input image.

MESSAGES

OK  [struct stat="OK", ncard=nrows]

ERROR
    Cannot open status file: statusfile

ERROR
    HDU value (hdu) must be a non-negative integer

ERROR
    Can't open output header file.

ERROR
    FITS library error

EXAMPLES

Running mGetHdr on a 2MASS Atlas image:

$ mGetHdr 2mass.fits test.hdr
    [struct stat="OK", ncard=112]

This creates the text file test.hdr.

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.